Bug 626240 - [abrt] decibel-audio-player-1.05-1.fc13: DesktopNotification.py:83:hideNotification:GError: 0 is not a valid notification ID
[abrt] decibel-audio-player-1.05-1.fc13: DesktopNotification.py:83:hideNotifi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: decibel-audio-player (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
abrt_hash:0f9c10f9
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-22 18:57 EDT by Wayne Jonas Bealer
Modified: 2012-08-16 13:58 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:58:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (566 bytes, text/plain)
2010-08-22 18:57 EDT, Wayne Jonas Bealer
no flags Details

  None (edit)
Description Wayne Jonas Bealer 2010-08-22 18:57:21 EDT
abrt version: 1.1.13
architecture: i686
cmdline: python /usr/share/decibel-audio-player/src/decibel-audio-player.py
component: decibel-audio-player
executable: /usr/share/decibel-audio-player/src/decibel-audio-player.py
kernel: 2.6.33.6-147.2.4.fc13.i686
package: decibel-audio-player-1.05-1.fc13
reason: DesktopNotification.py:83:hideNotification:GError: 0 is not a valid notification ID
release: Fedora release 13 (Goddard)
time: 1282517759
uid: 500

backtrace
-----
DesktopNotification.py:83:hideNotification:GError: 0 is not a valid notification ID

Traceback (most recent call last):
  File "/usr/share/decibel-audio-player/src/modules/DesktopNotification.py", line 141, in handleMsg
    elif msg == consts.MSG_EVT_APP_QUIT:     self.hideNotification()
  File "/usr/share/decibel-audio-player/src/modules/DesktopNotification.py", line 83, in hideNotification
    self.notif.close()
GError: 0 is not a valid notification ID

Local variables in innermost frame:
self: <DesktopNotification.DesktopNotification instance at 0x9a63b6c>

How to reproduce
-----
1. playback on a track from a smb Network Drive stopped
2.
3.
Comment 1 Wayne Jonas Bealer 2010-08-22 18:57:23 EDT
Created an attachment (id=440268)
File: backtrace
Comment 2 Jovan Chekalov 2010-08-23 13:40:02 EDT
Package: decibel-audio-player-1.05-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Press "Stop" button while playing
2.
3.
Comment 3 Matěj Pakosta 2010-09-16 10:54:08 EDT
Package: decibel-audio-player-1.05-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Have Decibel playing some music
2. Let it play until end of playlist
3. ABRT reports crash


Comment
-----
Could be caused by experimenting with Cairo dock.
Comment 4 Jovan Chekalov 2010-10-14 17:34:29 EDT
Package: decibel-audio-player-1.05-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Playing an album in decibel
2. Right after the last song finished, notification for the crash appeared
3. It looks like I can still use Decibel though...
Comment 5 cuba.sevelda 2010-10-20 04:06:31 EDT
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Play some song
2. When song ends abrt report bug in package decibel-audio-player
3.
Comment 6 atyth 2010-11-23 21:49:34 EST
Package: decibel-audio-player-1.05-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened Decibel
2. Tried to replay previously played track


Comment
-----
Happens whenever I try to replay a track.
Comment 7 Aleksandra Fedorova 2010-12-09 10:29:54 EST
Package: decibel-audio-player-1.05-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. i turned on notification plugin
2. used decibel for a while
3. then closed it by quit button
Comment 8 jmsitemail-public 2011-01-01 11:22:24 EST
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
?
Comment 9 jmsitemail-public 2011-01-01 15:20:56 EST
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
?
Comment 10 Michael 2011-01-09 10:20:01 EST
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I was listening to the program the song ended I got the message it crashed.
2.
3.
Comment 11 Michael 2011-01-11 13:20:08 EST
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I was listening to the program the song ended I got the message it crashed.
2.
3.
Comment 12 bobpoljakov 2011-01-12 10:35:35 EST
Package: decibel-audio-player-1.05-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. selected quit in tray icon menu
2.
3.
Comment 13 rbz 2011-02-17 11:54:50 EST
Package: decibel-audio-player-1.05-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. play music
2. set some preferences e.g. enable track change popup
3. listen


Comment
-----
well, music was playing (actually repeating) and then... poof!
Comment 14 moromario 2011-03-06 10:37:22 EST
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. open
2. resize the player window
3. close


Comment
-----
there is more recent version on the player site...
Comment 15 rbz 2011-03-07 11:17:31 EST
In response to the last comment from moromario@libero.it, I downloaded the most recent version I could find at http://decibel.silent-blade.org i.e. 1.07.

I used the source package and did make install to install it to /usr/local

Hitting the end of playlist no longer causes the abrt-applet to be triggered, but I still see t
he following errors on stdout/err:

> [rubicon 03.07 16:56:05]$ Traceback (most recent call last):
>   File "/usr/local/share/decibel-audio-player/src/modules/__init__.py",
>   line 282, in __dispatch
>     self.handlers[msg](**params)
>   File
>   "/usr/local/share/decibel-audio-player/src/modules/DesktopNotification.py",
>   line 63, in hideNotification
>     self.notif.close()
> glib.GError: 0 is not a valid notification ID
Comment 16 Gabriel Gonzalez Vega 2011-03-31 09:43:13 EDT
Package: decibel-audio-player-1.05-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.and the moment to close the program
2.
3.
Comment 17 moyer 2011-04-05 14:57:25 EDT
Package: decibel-audio-player-1.05-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1Unknown
2.
3.
Comment 18 moyer 2011-04-13 12:08:49 EDT
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.After updating to Fedora 14, none of my audio players will work and
2.therefore I was closing down decible music player when a crash was reported.
3.
Comment 19 Vratislav Podzimek 2011-05-20 16:39:46 EDT
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Play some file
2. Click on the "Close cross" at the top-right corner

Comment
-----
I was trying if it's possible to have a player only in a tray so I clicked the "Close window cross" in the top-right corner and then the player crashed. Even if it is supposed to quit (not just minimize) it should do it in a better way.
Comment 20 Bug Zapper 2011-06-01 06:47:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Derick Thomas 2011-09-06 12:25:00 EDT
Package: decibel-audio-player-1.05-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Play an MP3
2. At the end of playback, there is a message which pops up saying that application has crashed
3.


Comment
-----
I am using F14
Comment 22 Fedora End Of Life 2012-08-16 13:58:48 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.